#ifndef COMMON_CK
#define COMMON_Ck

namespace cmmn {


	extern double p, pa;

	extern int N, k;

	extern double * LogCombi;

	//     Bisection法による根の計算    
	void Bisection( double (*f)(double),
					double s,		 //   fが増加関数のとき s > 0.0
					double c,		 //   根に対する関数値
					double L_b, double U_b,	 //   根の存在区間の下限と上限
					double & Root,		 //   根  f(Root) = c
					double acc );

	//
	//		２項分布
	//
	double prob_term( double p, int N, int i );

	//
	//	Prob(X <= k)
	//
	double Cum_prob( double p );

	//
	//	Prob(X >= k)
	//
	double UCum_prob( double p );

}

#endif
